Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Types | List of all members
meta::id< T > Struct Template Reference
Meta » Trait | Meta » Trait » Invocation

A trait that always returns its argument `T`. It is also an invocable that always returns `T`. More...

`#include <meta/meta.hpp>`

## Public Types
template<typename... >
using | invoke = T
using | type = T

## Detailed Description

template<typename T>
struct meta::id< T >

A trait that always returns its argument `T`. It is also an invocable that always returns `T`.